- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-auth.cc File Reference

`#include <config.h>`
`#include "sbuild-auth.h"`
`#include "sbuild-auth-conv.h"`
`#include "sbuild-auth-conv-tty.h"`
`#include <cassert>`
`#include <cerrno>`
`#include <cstdlib>`
`#include <cstring>`
`#include <iostream>`
`#include <sstream>`
`#include <syslog.h>`
`#include <boost/format.hpp>`

Include dependency graph for sbuild-auth.cc:

## Typedefs
typedef std::pair< sbuild::auth::error_code, const char * > | emap
## Functions
int | auth_conv_hook (int num_msg, const struct pam_message **msgm, struct pam_response **response, void *appdata_ptr)
## Variables
emap | init_errors []
| This is a list of the supported error codes.

## Typedef Documentation

typedef std::pair<sbuild::auth::error_code,const char *> emap`[static]`

## Function Documentation

int @2::auth_conv_hook | ( | int | num_msg,
|  | const struct pam_message ** | msgm,
|  | struct pam_response ** | response,
|  | void * | appdata_ptr |
| ) |  |  | `[static]`

## Variable Documentation

emap init_errors[]`[static]`

Initial value:

        {
          emap(auth::HOSTNAME,        N_("Failed to get hostname")),

          emap(auth::USER,            N_("User '%1%' not found")),
          emap(auth::AUTHENTICATION,  N_("Authentication failed")),
          emap(auth::AUTHORISATION,   N_("Access not authorised")),
          emap(auth::PAM_DOUBLE_INIT, N_("PAM is already initialised")),
          emap(auth::PAM,             N_("PAM error"))
        }

This is a list of the supported error codes.

It's used to construct the real error codes map.